org.apache.ignite.internal.processors.platform.websession

## Class PlatformDotNetSessionCacheExtension

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.websession.PlatformDotNetSessionCacheExtension

All Implemented Interfaces:
  PlatformCacheExtension

    public class PlatformDotNetSessionCacheExtension
    extends Object
    implements PlatformCacheExtension

Custom entry processor invoker.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetSessionCacheExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `id()` Get extension ID.
`long` `processInOutStreamLong(PlatformCache target, int type, BinaryRawReaderEx reader, PlatformMemory mem)` Invokes in-out operation with long return type.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetSessionCacheExtension

    public PlatformDotNetSessionCacheExtension()

### Method Detail

#### id

    public int id()

Get extension ID. Must be unique among all extensions.

Specified by:
  `id` in interface `PlatformCacheExtension`
Returns:
  Extension ID.

#### processInOutStreamLong

    public long processInOutStreamLong(PlatformCache target,
                                       int type,
                                       BinaryRawReaderEx reader,
                                       PlatformMemory mem)
                                throws IgniteCheckedException

Invokes in-out operation with long return type.

Specified by:
  `processInOutStreamLong` in interface `PlatformCacheExtension`
Parameters:
  `target` - Target cache.
  `type` - Operation type.
  `reader` - Reader.
  `mem` - Memory.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021